/*
 * LOGICAL-PARADOX.ORG
 * Copyright (C)2005 satoshi akabane(akabane@logical-paradox.org)
 * $Id: ErrorPageGenerator.java,v 1.1 2005/05/11 17:48:20 rampil Exp $
 */
package org.logical_paradox.httpd.html;

/**
 * エラーページを生成するジェネレータ
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.1 $
 */
public abstract class ErrorPageGenerator {
	/** デフォルトのジェネレータ */
	private static ErrorPageGenerator defaultGenerator = new DefaultErrorPageGenerator();
	/**
	 * デフォルトのエラーページジェネレータを返す
	 * @return デフォルトのエラーページジェネレータ
	 */
	public static final ErrorPageGenerator getInstance() {
		return defaultGenerator;
	}
	/**
	 * エラーコードに対応するエラーページ(HTML)を生成して返す
	 * @param errorCode エラーコード
	 * @return 生成されたエラーページ
	 */
	public abstract String generateErrorPage(int errorCode);
}
